Subject: Re: [PATCH 1/2] gitk: align the commit summary format to the documentation

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Aug 2016 11:24:12 -0700

Beat Bolli <[email-masked]> writes:

> In 175d38c (SubmittingPatches: document how to reference previous commits,
> 2016-07-28) the format for referring to older commits was specified.
>
> Make the text generated by the "Copy commit summary" command match this
> format.

Hmph.  I didn't know gitk already had its own command to produce a
short string.  I actually think what it produces

> In 175d38c ("SubmittingPatches: document how to reference previous commits",
> 2016-07-28) the format for referring to older commits was specified.

is easier to read when pasted into a sentence than what the recent
update 175d38ca ("SubmittingPatches: document how to reference
previous commits", 2016-07-28) suggests to do, i.e.

> In 175d38c (SubmittingPatches: document how to reference previous commits,
> 2016-07-28) the format for referring to older commits was specified.

Heiko, Stefan, I think you two were involved in adding that new
paragraph.   What do you think?